Subject: bug#25090: Newsticker seems senile since Emacs 25

From: Stan Man <[email-masked]>
Date: Fri, 02 Dec 2016 10:33:19 +0300

Hi!

I recently moved from Emacs 24.5 to 25.1, and ever since then, reading

RSS-feeds in newsticker is a bit of a gamble: I noticed it often doesn't fetch

all available new feeds from all sources, so I have to run M-x

newsticker-treeview twice for some reason. But running it twice, the side

effect is sometimes that it forgets which feeds I've already read, and it will

fetch all (maximum) feeds from some other sources.

For instance, this often happens, I do M-x newsticker-treeview which then

results in:

- Newsticker fetches feeds from my different sources

- ...but no feeds from Slashdot, even though I know it aught to have 15, since

it's been 24 hours since last time I checked.

- I re-run M-x newsticker-treeview

- Now I get the new unread feeds from slashdot, but it also sometimes...

- ... fetches all (149) feeds from endless parenthesis, and/or all 30 from

planetemacsen, and/or same with emacs-fu sometimes.

I also notice that there are little icons in the treeview for each

RSS-source in Emacs 25, that I didn't have before in Emacs 24. 1. Could

these be the culprit? 2. Can these be disabled?

Also, it seems newsticker sometimes forgets the name of the feed source

replacing it with "[untitled]" and it doesn't seem to learn/remember these

source names. I.e. I don't know which sources didn't have any feeds this

time around, as it becomes "untitled". I don't know if this is a feature or

(unrelated?) bug. Seems strange that it keeps forgetting the names of feed

sources.

I have tried removing my .emacs.d/newsticker folder, but the problems

described above persist.

This is my newsticker setup:

(setq newsticker-html-renderer 'shr-render-region

newsticker-treeview-treewindow-width 40 newsticker-treeview-listwindow-height

20 newsticker-url-list-defaults nil newsticker-retrieval-interval 0 ;don't

fetch when I'm not reading RSS newsticker-automatically-mark-items-as-old nil

newsticker-url-list '(("emacs-fu" "http://emacs-fu.blogspot.com/feeds/posts/default" nil nil nil)

("abandonia" "http://www.abandonia.com/en/rss.xml" nil nil nil)

("arch linux" "https://www.archlinux.org/feeds/news/" nil nil nil)

("Planet Emacsen" "http://planet.emacsen.org/atom.xml" nil nil nil)

("slashdot" "http://rss.slashdot.org/Slashdot/slashdot" nil nil nil)

("SMBC" "http://www.smbc-comics.com/rss.php" nil nil nil)

("xkcd" "https://www.xkcd.com/rss.xml" nil nil nil)

("BBC Sci" "http://feeds.bbci.co.uk/news/science_and_environment/rss.xml" nil nil nil)

("emacs rocks" "http://emacsrocks.com/atom.xml" nil nil nil)

("endlessparentheses" "http://endlessparentheses.com/atom.xml" nil nil nil)

("LGR" "https://www.youtube.com/feeds/videos.xml?user=phreakindee" nil nil nil)))

In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu) of 2016-11-10 built on x201

Windowing system distributor 'The X.Org Foundation', version 11.0.11804000

Configured using: 'configure --prefix=/usr --sysconfdir=/etc

--libexecdir=/usr/lib --localstatedir=/var --with-x-toolkit=no --with-xft

--without-tiff --without-toolkit-scroll-bars --without-gconf

--without-gsettings --with-gif=no --with-xft 'CFLAGS=-march=x86-64

-mtune=generic -O2 -pipe -fstack-protector-strong'

CPPFLAGS=-D_FORTIFY_SOURCE=2

LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features: XPM JPEG PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY ACL

GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB X11

Important settings: value of $LANG: sv_SE.UTF-8 locale-coding-system:

utf-8-unix

Major mode: Folder

Minor modes in effect: yas-global-mode: t TeX-PDF-mode: t global-company-mode:

t shell-dirtrack-mode: t auto-insert-mode: t volatile-highlights-mode: t

show-paren-mode: t delete-selection-mode: t cua-mode: t save-place-mode: t

savehist-mode: t which-key-mode: t beacon-mode: t sml-modeline-mode: t

tooltip-mode: t global-eldoc-mode: t electric-indent-mode: t

mouse-wheel-mode: t file-name-shadow-mode: t global-font-lock-mode: t

auto-composition-mode: t auto-encryption-mode: t auto-compression-mode: t

buffer-read-only: t column-number-mode: t line-number-mode: t

transient-mark-mode: t abbrev-mode: t

Load-path shadows:

/home/myuser/.emacs.d/elpa/dtrt-indent-20160620.329/dtrt-indent-diag hides /home/myuser/.emacs.d/elisp/dtrt-indent-diag

/home/myuser/.emacs.d/elpa/flim-20161029.1930/hex-util hides /usr/share/emacs/25.1/lisp/hex-util

/home/myuser/.emacs.d/elpa/flim-20161029.1930/md4 hides /usr/share/emacs/25.1/lisp/md4

/home/myuser/.emacs.d/elpa/scala-mode-20160902.525/ob-scala hides /usr/share/emacs/25.1/lisp/org/ob-scala

/home/myuser/.emacs.d/elpa/flim-20161029.1930/hmac-def hides /usr/share/emacs/25.1/lisp/net/hmac-def

/home/myuser/.emacs.d/elpa/flim-20161029.1930/hmac-md5 hides /usr/share/emacs/25.1/lisp/net/hmac-md5

/home/myuser/.emacs.d/elpa/flim-20161029.1930/sasl hides /usr/share/emacs/25.1/lisp/net/sasl

/home/myuser/.emacs.d/elpa/flim-20161029.1930/sasl-digest hides /usr/share/emacs/25.1/lisp/net/sasl-digest

/home/myuser/.emacs.d/elpa/flim-20161029.1930/ntlm hides /usr/share/emacs/25.1/lisp/net/ntlm

/home/myuser/.emacs.d/elpa/flim-20161029.1930/sasl-cram hides /usr/share/emacs/25.1/lisp/net/sasl-cram

/home/myuser/.emacs.d/elpa/flim-20161029.1930/sasl-ntlm hides /usr/share/emacs/25.1/lisp/net/sasl-ntlm

/home/myuser/.emacs.d/elpa/seq-2.19/seq hides /usr/share/emacs/25.1/lisp/emacs-lisp/seq

Features: (shadow mel-q-ccl network-stream nsm starttls warnings wl-mime

mime-play filename mime-edit mime-setup mail-mime-setup semi-setup mime-image

elmo-nntp modb-standard elmo-maildir utf-7 elmo-imap4 time-stamp wl-demo

wl-address wl-thread wl-action wl-summary ps-print ps-def lpr wl-refile

wl-message elmo-mime mmelmo-buffer mmelmo-imap mime-view mime-conf calist

semi-def mmimap mime-parse mmbuffer mmgeneric wl-highlight elmo-multi

wl-folder wl wl-e21 wl-draft wl-util elmo-flag eword-encode wl-template

wl-vars wl-version elmo-net elmo-cache elmo-map elmo-dop elmo-localdir elmo

elmo-signal elmo-msgdb modb modb-generic modb-entity mime elmo-util emu

invisible inv-23 poem poem-e20 poem-e20_3 eword-decode mel mime-def alist

std11 pccl pccl-20 ccl mcharset mcs-20 mcs-e20 pces pces-e20 pces-20 broken

pcustom elmo-date timezone elmo-vars path-util poe elmo-version pym static

apel-ver product luna emacsbug sendmail pkgbuild-mode sh-script smie

executable goto-addr flyspell ispell disp-table org-rmail org-mhe org-irc

org-info org-gnus org-docview doc-view subr-x jka-compr image-mode org-bibtex

bibtex org-bbdb org-w3m server paredit company-oddmuse company-keywords

company-etags company-gtags company-dabbrev-code company-dabbrev company-files

company-capf company-cmake company-xcode company-clang company-semantic

company-eclim company-template company-css company-nxml company-bbdb

company-auctex yasnippet latex tex-ispell tex-style tex dbus xml crm company

cc-styles cc-align cc-engine cc-vars cc-defs slime-fancy slime-trace-dialog

slime-fontifying-fu slime-package-fu slime-references

slime-compiler-notes-tree slime-scratch slime-presentations bridge

slime-mdot-fu slime-enclosing-context slime-fuzzy slime-fancy-trace

slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc

slime-repl elp slime-parse slime gud apropos compile arc-mode archive-mode pp

hyperspec browse-url slime-autoloads org-crypt org-contacts org-capture

org-agenda gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum

gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls

gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range message idna

dired-filetype-face dired-x dired rfc822 mml mml-sec epg mm-decode mm-bodies

mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils

mailheader gnus-win gnus gnus-ems nnheader mail-utils ob-ditaa ob-python ob-sh

ox-md ox-latex ox-icalendar ox-html ox-ascii ox-publish ox org-element org

org-macro org-footnote org-pcomplete org-list org-faces org-entities noutline

outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp

org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs org-loaddefs

find-func cal-menu calendar cal-loaddefs org-install bbcode-mode tramp

tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete comint

ansi-color format-spec autoinsert browse-kill-ring etags xref project ring

volatile-highlights paren delsel cua-base saveplace savehist move-text

which-key ffap thingatpt url-parse auth-source eieio eieio-core gnus-util

time-date mm-util help-fns mail-prsvr password-cache url-vars undo-tree

derived easy-mmode cl-seq diff goto-chg list-register advice beacon cus-edit

cus-start cus-load wid-edit diminish cl-macs cl ido edmacro kmacro ibuffer

sml-modeline sanityinc-tomorrow-blue-theme color-theme-sanityinc-tomorrow

finder-inf tex-site info package epg-config seq byte-opt gv bytecomp

byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib

mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type

mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt

fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register page

menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax

facemenu font-core frame cl-generic cham georgian utf-8-lang misc-lang

vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew

greek romanian slovak czech european ethiopic indian cyrillic chinese

charscript case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer

cl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule custom

widget hashtable-print-readable backquote dbusbind inotify dynamic-setting

font-render-setting x multi-tty make-network-process emacs)

Memory information: ((conses 16 736330 24504) (symbols 48 64494 24) (miscs 40

196 534) (strings 32 161345 24283) (string-bytes 1 4913231) (vectors 16 79429)

(vector-slots 8 1369305 16055) (floats 8 1249 239) (intervals 56 936 0)

(buffers 976 26))